Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07630 Graphics Minor Always Apr 28, 2020, 19:36 11 days ago
Tester MRC79 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Acknowledged Driver midyunit.cpp
Version 0.220 Fixed in Version Build 64-bit
Summary 07630: mkyawdim, mkyawdim2, mkyawdim3, mkyawdim4: In Mortal Kombat Yawdim clones, the sky is not BLACK and the messed up audio works poorly compared to the PCB
Description Hi Good evening Mortal Kombat Yawdim Bootleg on mame it works very badly compared to the PCB
the audio is messed up and distorted, the graphic backgrounds of the Sky of each level must be BLACK in Theory as in the Game Room.
Backgrouns don't have to be heavenly
Here is the example
Steps To Reproduce (M.A.M.E.)





(PCB)



In theory it should work exactly like these videos below





Additional Information http://adb.arcadeitalia.net/dettaglio_mame.php?game_na

Flags 64-bit specific
Regression Version From mame 0.94
Affected Sets / Systems mkyawdim, mkyawdim2, mkyawdim3, mkyawdim4
Attached Files
jpg file icon s-l1600 (1).jpg (214,403 bytes) Apr 29, 2020, 19:09 Uploaded by MRC79
MRC79
MRC79
jpg file icon s-l1600.jpg (257,304 bytes) Apr 29, 2020, 19:10 Uploaded by MRC79
MRC79
jpg file icon mkyawdim2.jpg (399,963 bytes) May 19, 2020, 22:32 Uploaded by r0ast3r
This is a mkyawdim2 pcb
r0ast3r
Relationships
There are no relationship linked to this issue.
Notes
23
User avatar
No.17578
MRC79
Tester
Apr 28, 2020, 19:51
edited on: Apr 28, 2020, 20:57
I played in the Mortal Kombat Bootleg arcade in 1994, 1995, 1996, 1997, 2002 and 2004.
For this reason, I remember exactly how it was done in the Games Room
User avatar
No.17579
MetalGod
Senior Tester
Apr 28, 2020, 20:00
This report might be closed if you don't edit and translate it into English.
User avatar
No.17580
MRC79
Tester
Apr 28, 2020, 20:59
edited on: Apr 28, 2020, 21:00
Edited and translated into English
User avatar
No.17588
Fujix
Administrator
Apr 30, 2020, 04:32
edited on: Apr 30, 2020, 04:34
MRC79, fix the summary to describe your report briefly.
And you have wrongly set the serverty, also fix it please.
Thanks.
User avatar
No.17589
MRC79
Tester
Apr 30, 2020, 08:23
done and correct
User avatar
No.17590
Fujix
Administrator
May 1, 2020, 07:12
Not correct yet.
User avatar
No.17591
MRC79
Tester
May 1, 2020, 08:42
edited on: May 1, 2020, 08:44
where it is not correct?
User avatar
No.17592
MetalGod
Senior Tester
May 1, 2020, 08:47
edited on: May 2, 2020, 15:25
Severity = Minor
Category = Graphics


We only consider severity as Major when the gameplay is affected
User avatar
No.17593
MRC79
Tester
May 1, 2020, 08:55
done
User avatar
No.17661
r0ast3r
Tester
May 19, 2020, 22:31
This could be a tricky one as the various Yawdim bootlegs are very different pcbs, different manufacturers, some likely bootlegs-of-other-bootlegs etc. Some are certainly better than others and a one-size-fits-all would be technically wrong. I have a mkyawdim2 pcb, can confirm the black background and poor audio issues are present, another issue which mame doesn't reproduce is: service menu doesn't work, attempting to enter menu results in the game freezing for few seconds then resets.
User avatar
No.17662
r0ast3r
Tester
May 19, 2020, 22:36
edited on: May 19, 2020, 22:36
Added a picture of the mkyawdim2 pcb, not sure which is which for the other sets, but there also exists various double-board stack variants and various single-board variants (mostly similar to first picture but with differing gfx rom arrangements)
User avatar
No.17665
MRC79
Tester
May 21, 2020, 18:54
Good evening but there is no way to solve the problem?
Fix Audio and put the black sky?
User avatar
No.17668
Augusto
Tester
May 23, 2020, 04:21
The dumped Mortal Kombat Yawdim version used in MAME is exactly the real Mortal Kombat Yawdim ?
If not is or yet is another unknown Yawdim version can be the because of wrong graphics.
User avatar
No.17669
MRC79
Tester
May 23, 2020, 15:14
It is exactly the real Mortal Kombat Yawdim.
But it works very badly incorrect audio, it does not have the black sky !!!
User avatar
No.17674
Augusto
Tester
May 24, 2020, 04:25
Fixing bugs not is exactly simple how look to be from user viewpoint.
MAME coders are very good and have talent used in good place.
Fixing bugs in MAME need extreme talent and are more complex than fix software from Adobe or others companies or even any OS.
Have bugs that the coder not have any information about the PCB hardware and code and try fix using the luck and talent and some times fix the problem. Blessed even :-)
Users need create posts about any issue and thus helping the project where the priority is allways the arcade dump and after the life of coder. The coder need time.

Your report sounds correct.
User avatar
No.17675
MRC79
Tester
May 24, 2020, 15:02
Thanks!!! So good fix to programmers ...
User avatar
No.17707
Danielrsti
Tester
Jun 3, 2020, 01:08
edited on: Jun 4, 2020, 06:31
Appears that have another yawdim version. With good audio with the black sky that are not dumpet yet.

Maybe is this version he is talking about? Because hes asking for fixing the audio too.
User avatar
No.17793
Osso
Developer
14 days ago
Audio should be improved / fixed in 0.223: https://github.com/mamedev/mame/commit/1a53c842b9854f48d371e5ffda0325e61f005221
User avatar
No.17795
Fortuna
Tester
14 days ago
MRC79, the new pull for the set 2 now: need new roms and testing this particular set

Sets 1, 3 and 4 need improve too, same sounds, but different systems
User avatar
No.17796
MRC79
Tester
13 days ago
https://mametesters.org/file_download.php?file_id=5507&type=bug
User avatar
No.17797
MRC79
Tester
13 days ago
the graphic backgrounds of the Sky of each level must be BLACK in Theory as in the Game Room.
Backgrouns don't have to be heavenly
User avatar
No.17798
MRC79
Tester
13 days ago
https://thumbs.worthpoint.com/zoom/images4/1/1007/31/mortal-kombat-1-video-arcade-jamma-pcb-yawdim_1_d32fe6b0df0b2dca62348c920314b13b.jpg
User avatar
No.17806
MRC79
Tester
11 days ago
http://i.imgur.com/y12ko0U.png
https://i.ebayimg.com/images/g/Qb8AAOSwHsle~e65/s-l1600.jpg

https://i.ebayimg.com/images/g/0FsAAOSwRQNe~e6-/s-l1600.jpg